%% dynam_parametry.m
% Vypocet dynamickych dechovych parametru

function [fev1, pef, fef_25_75] = dynam_parametry(fv_prutok, fv_objem)

pef = max(-fv_prutok); % PEF (peak exspiratory flow), maximalni prutok

if length(fv_objem) < 100 % Maximalni usilovny vydech musi byt delsi nez 1s
    msgbox('Nedostatečně dlouhý maximální usilovný výdech. Musí být delší než 1s.') 
end

fev1 = fv_objem(100); % Objem vydechnuty behem prvni sekundy

objem_25 = 0.25*fv_objem(end); % Hodnota 25% vydechnuteho FVC
objem_75 = 0.75*fv_objem(end); % Hodnota 75% vydechnuteho FVC

temp_25 = abs(fv_objem-objem_25); % Odecteni kazde hodnoty objemu od 25% hodnoty
[~, pozice_25] = min(temp_25); % Pozice, kde je rozdil minimalni -> Pozice 25% vydechnuteho FVC

temp_75 = abs(fv_objem-objem_75); % Odecteni kazde hodnoty objemu od 75% hodnoty
[~, pozice_75] = min(temp_75); % Pozice, kde je rozdil minimalni -> Pozice 75% vydechnuteho FVC

fef_25_75 = mean(-fv_prutok(pozice_25:pozice_75)); % Prumerny prutok pri 25-75% vydechnuteho FVC

